Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Nimble Kick

Kick sampler plugin typically used for Hardstyle. · By Nimble Tools

Not validating on Logic Pro X

A topic by navrasmusic created Sep 21, 2019 Views: 525 Replies: 14
Viewing posts 1 to 4

Hello! i have problems using my plugin in Logic Pro X  10.4.2 on OSX Sierra

getting the following message when trying to validate from the plugins panel:

--------------------------------------------------

TESTING OPEN TIMES:
COLD:
FATAL ERROR: OpenAComponent: result: -1,0xFFFFFFFF

validation result: couldn’t be opened

--------------------------------------------------

AU version in Ableton Live 10 works correctly.

Anyone having the same problem?

That’s strange, it has definitely worked for me when I was testing it yesterday. I’ll take a look, thanks for the report!

Well, both your MacOS and your Logic Pro are outdated, but I'm not sure it doesn't work because of that. If you have the ability to, you could try updating to the latest versions. Are you using an older model Mac or a newer model?

Hi! Yes, i'm working on a 2012 non retina MacBook Pro, so both the OS and Logic are not the latest versions; unfortunately i cannot update Logic anymore due to the OS; btw the AU version running on Ableton Live (not the latest verison either) works fine!

@Nimble Tools still not working with the version 1.0.2 :(  any news?

No news yet, still trying to figure it out. Does Misstortion 2 work for you in your version of Logic?

No, that doesn't work either; i can make both show as [uncompatible] in the list (and they both works good) but every time logic opens it shows an annoying alert message.

Oh that is strange. I'm going to investigate a bit more, thanks!

Hi @Nimble Tools, any news about this? still showing as uncompatible, pretty annoying now since everytime i open Logic i have to check continue anyway before loading up the projects; You've mentioned wrappers in some other posts, maybe we can find a temporary solution for this?

Hey just checking, is your Logic running as 64 bit or 32 bit? Only 64 bit is supported.

Yes it's 64-bit, Logic Pro X 10.4.2 (latest possibile upgrade on  macOS Sierra); It still shows as [uncompatible] in the AU instruments list

I might have a fix for this which I am testing now. The fix I'm testing is actually for MacOS 10.10, but it might also work for you!

Sounds great! please keep me updated, if you want me to do some testing on OS 10.12 i'm up too!

moved this topic to Technical support